Update Payment Order

Update a payment order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string

To cancel a payment order, use cancelled. To redraft a returned payment order, use needs_approval. To undo approval on a denied or approved payment order, use needs_approval.

json

Additional data in the form of key-value pairs. Pairs can be removed by passing an empty string or null as the value.

string

When using receiving_account_id, you may pass the id of an external account or an internal account. If an external account is passed, you must pass a value for counterparty_id.

string

Required when receiving_account_id is passed the ID of an external account.

string

One of ach, eft, wire, check, book, rtp, sepa, bacs, au_becs, interac, signet, provexchange.

string

An additional layer of classification for the type of payment order you are doing. This field is only used for ach payment orders currently. For ach payment orders, the subtype represents the SEC code. We currently support CCD, PPD, IAT, CTX, WEB, CIE, and TEL.

int64

Value in specified currency's smallest unit. e.g. $10 would be represented as 1000 (cents). For RTP, the maximum amount allowed by the network is $100,000

string

Describes the direction money is flowing in the transaction. A credit moves money from your account to someone else's. A debit pulls money from someone else's account to your own.

string
string

Must conform to ISO 4217. Defaults to the currency of the originating account.

date

If present, Modern Treasury will not process the payment until after this time. If process_after is past the cutoff for effective_date, process_after will take precedence and effective_date will automatically update to reflect the earliest possible sending date after process_after. Format is ISO8601 timestamp.

date

Format is YYYY-MM-DD

string

Either normal or high. For ACH and EFT payments, high represents a same-day ACH or EFT transfer, respectively. For check payments, high can mean an overnight check rather than standard mail.

string

An optional description for internal use.

string

An optional descriptor which will appear in the receiver's statement. For check payments this field will be used as the memo line. For ach the maximum length is 10 characters. Note that for ACH payments, the name on your bank account will be included automatically by the bank, so you can use the characters for other useful information. For eft the maximum length is 15 characters.

string

For ach, this field will be passed through on an addenda record. For wire payments the field will be passed through as the "Originator to Beneficiary Information", also known as OBI or Fedwire tag 6000.

string

For wire, this is usually the purpose which is transmitted via the "InstrForDbtrAgt" field in the ISO20022 file. If you are using Currencycloud, this is the payment.purpose_code field. For eft, this field is the 3 digit CPA Code that will be attached to the payment.

line_items
array of objects

An array of line items that must sum up to the amount of the payment order. For more information see Line Items

line_items
string

If present, this will replace your default company name on receiver's bank statement. This field can only be used for ACH payments currently. For ACH, only the first 16 characters of this string will be used. Any additional characters will be truncated.

string

This represents the name of the person that the payment is on behalf of when using the CIE subtype for ACH payments. Only the first 15 characters of this string will be used. Any additional characters will be truncated.

string

This represents the identifier by which the person is known to the receiver when using the CIE subtype for ACH payments. Only the first 22 characters of this string will be used. Any additional characters will be truncated.

string

The party that will pay the fees for the payment order. Read Charge Bearer to learn more about possible values and how they get serialized

boolean

A boolean to determine if NSF Protection is enabled for this payment order. Note that this setting must also be turned on in your organization settings page.

ledger_transaction
object

The ledger transaction object which will be either created on the success of this API call if a ledger_transaction_id does not yet exist with this PO, or updated if it does. An update will happen atomically with the update on the PO.

string

An optional user-defined 180 character unique identifier

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!